Get a billing plan

GET/billing/v1/plans/{planId}

Returns a single billing plan by ID.

Path Parameters

planId*string

Plan ID

Response Body

200application/json

OK

type: unknown

{
  "$ref": "#/components/schemas/billingv1.GetPlanResponse",
  "$ref-value": {
    "properties": {
      "currency": {
        "type": "string"
      },
      "description": {
        "type": "string"
      },
      "id": {
        "type": "string"
      },
      "interval": {
        "type": "string"
      },
      "name": {
        "type": "string"
      },
      "price": {
        "type": "string"
      }
    },
    "type": "object"
  }
}
curl -X GET "https://api.rixl.com/billing/v1/plans/string"

OK

application/json

{
  "$ref": "#/components/schemas/billingv1.GetPlanResponse",
  "$ref-value": {
    "properties": {
      "currency": {
        "type": "string"
      },
      "description": {
        "type": "string"
      },
      "id": {
        "type": "string"
      },
      "interval": {
        "type": "string"
      },
      "name": {
        "type": "string"
      },
      "price": {
        "type": "string"
      }
    },
    "type": "object"
  }
}